Bug 26406 - Suggestions filter does not work
Summary: Suggestions filter does not work
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 27047
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-08 13:21 UTC by Jonathan Druart
Modified: 2021-02-23 12:52 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03


Attachments
Bug 26406: Fix suggestions filter at the OPAC (6.92 KB, patch)
2020-09-08 13:24 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26406: Fix suggestions filter at the OPAC (6.98 KB, patch)
2020-09-08 18:39 UTC, David Nind
Details | Diff | Splinter Review
Bug 26406: Fix suggestions filter at the OPAC (7.37 KB, patch)
2021-02-10 07:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26406: Fix suggestions filter at the OPAC (7.44 KB, patch)
2021-02-14 14:57 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-09-08 13:21:22 UTC
The suggestions filter at the OPAC does not work at all. There is an input box but it does nothing

https://snipboard.io/tsGM8h.jpg
Comment 1 Jonathan Druart 2020-09-08 13:24:01 UTC
Created attachment 109748 [details] [review]
Bug 26406: Fix suggestions filter at the OPAC

There is an input filter but it does nothing

Test plan:
You need 2 differents users, U1 and U2
Create several (at least one) suggestions for each of them
Test the following with and without OPACViewOthersSuggestions:
With U1 logged in, go to the suggestions tab and use the input to filter
the suggestions.
It should work correctly.
Also play with the "Suggested by" options
Comment 2 David Nind 2020-09-08 18:39:01 UTC
Created attachment 109762 [details] [review]
Bug 26406: Fix suggestions filter at the OPAC

There is an input filter but it does nothing

Test plan:
You need 2 differents users, U1 and U2
Create several (at least one) suggestions for each of them
Test the following with and without OPACViewOthersSuggestions:
With U1 logged in, go to the suggestions tab and use the input to filter
the suggestions.
It should work correctly.
Also play with the "Suggested by" options

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Julian Maurice 2020-09-11 12:19:27 UTC
Patch doesn't apply because of bug 20168
Comment 4 Jonathan Druart 2021-02-10 07:14:45 UTC
Created attachment 116630 [details] [review]
Bug 26406: Fix suggestions filter at the OPAC

There is an input filter but it does nothing

Test plan:
You need 2 differents users, U1 and U2
Create several (at least one) suggestions for each of them
Test the following with and without OPACViewOthersSuggestions:
With U1 logged in, go to the suggestions tab and use the input to filter
the suggestions.
It should work correctly.
Also play with the "Suggested by" options

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Jonathan Druart 2021-02-10 07:15:23 UTC
I completely forgot about this patch and, meanwhile, I wrote bug 27047.
Comment 6 Marcel de Rooy 2021-02-12 09:11:20 UTC
Do we still need this patch? The search box on the opac suggestions page seems to work now ?

Changing status to reflect need for feedback.
Comment 7 Jonathan Druart 2021-02-12 10:30:23 UTC
Yes, I think it is. You can filter server-side, better than the DT global filter IMO.
Comment 8 Katrin Fischer 2021-02-14 14:57:25 UTC
Created attachment 116862 [details] [review]
Bug 26406: Fix suggestions filter at the OPAC

There is an input filter but it does nothing

Test plan:
You need 2 differents users, U1 and U2
Create several (at least one) suggestions for each of them
Test the following with and without OPACViewOthersSuggestions:
With U1 logged in, go to the suggestions tab and use the input to filter
the suggestions.
It should work correctly.
Also play with the "Suggested by" options

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Jonathan Druart 2021-02-15 11:08:33 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 10 Fridolin Somers 2021-02-19 15:13:09 UTC
Pushed to 20.11.x for 20.11.03
Comment 11 Andrew Fuerste-Henry 2021-02-23 12:52:53 UTC
Missing dependency from bug 27047, which needs a rebase. Please rebase that for backport if this is needed.